## coz-profiler 0.0.git.20161011T1320

=== Makefile ===
ROOT := .
DIRS := libcoz

include $(ROOT)/common.mk

bench::
	@for dir in benchmarks ; do make -C $$dir $@; done

check::
	make -C libcoz $@

install::
	$(INSTALL) -D coz $(DESTDIR)$(bindir)/coz
	$(INSTALL) -D include/coz.h $(DESTDIR)$(incdir)/coz.h

distclean::
	@for dir in deps/libelfin ; do \
	if [ -d $$dir ] ; then make -C $$dir distclean || make -C $$dir clean; fi; \
	done

=== libcoz/Makefile ===
ROOT 		 := ..
TARGETS  := libcoz.so
LIBS     := dl rt pthread
CXXFLAGS := --std=c++11 -g -O2 -fPIC -I$(ROOT)/include
#LDFLAGS  := -L$(ROOT)/deps/libelfin/elf -L$(ROOT)/deps/libelfin/dwarf -Wl,--whole-archive -lelf++ -ldwarf++ -Wl,--no-whole-archive
PREREQS  := $(ROOT)/deps/ccutil $(ROOT)/deps/libelfin

include $(ROOT)/common.mk

check:: libcoz.so
	printf "int main(int argc, char *argv[])\n{\nreturn (0);\n}\n" > x.c
	gcc -Wl,-rpath,`pwd` -o x x.c libcoz.so -ldl || ( $(RM) x x.c ; exit 1)
	./x
	if grep -q time= profile.coz; then echo success: coz profiler ran as it should.; fi
	$(RM) -f x.c x profile.coz

install::
	$(INSTALL) -D $(ROOT)/libcoz/libcoz.so $(DESTDIR)$(pkglibdir)/libcoz.so

=== debian/changelog ===
coz-profiler (0.0.git.20161011T1320-2) unstable; urgency=medium

  * Corrected Vcs links in d/control.
  * Add missing build dependency pkg-config. (Closes: #844015)
  * Added missing python-docutils build dependency to makae rst2man available.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Nov 2016 07:57:22 +0000

coz-profiler (0.0.git.20161011T1320-1) unstable; urgency=medium

  * Initial upload (Closes: #830708).
    - Include both master and gh-pages branch from upstream.
  * Changed package to use jquery and awesome font from Debian instead
    of embedding them.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Oct 2016 11:22:28 +0000

=== debian/control ===
Source: coz-profiler
Section: net
Priority: optional
Maintainer: Lluís Vilanova <vilanova@ac.upc.edu>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 9~)
 , clang
 , python
 , pkg-config
 , libelfin-dev
 , fonts-font-awesome
 , libjs-jquery
 , python-docutils
Testsuite: autopkgtest
Standards-Version: 3.9.8
Homepage: http://coz-profiler.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-coz/coz-profiler.git
Vcs-Git: https://anonscm.debian.org/git/pkg-coz/coz-profiler.git

Package: coz-profiler
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
 , python
 , fonts-font-awesome
 , libjs-jquery
Description: Finding Code that Counts with Causal Profiling
 Coz is a code profiler that find optimization opportunities
 missed by traditional profilers. Coz employs a technique called
 causal profiling that measures optimization potential. This measurement
 matches developers' assumptions about profilers: that optimizing
 highly-ranked code will have the greatest impact on performance. Causal
 profiling measures optimization potential for serial, parallel, and
 asynchronous programs without instrumentation of special handling for
 library calls and concurrency primitives. Instead, a causal profiler
 uses performance experiments to predict the effect of
 optimizations. This allows the profiler to establish causality:
 "optimizing function X will have effect Y," exactly the measurement
 developers had assumed they were getting all along.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = debian/coz-profiler

get-orig-source:
	debian/get-orig-source

export DH_VERBOSE=1

%:
	dh $@

# Generate manual page from RST document
debian/coz.1: debian/coz.rst
	rst2man $< > $@
override_dh_installman: debian/coz.1
	dh_installman
override_dh_install:
	dh_install

	# Use jquery from Debian instead of embedded copy
	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/jquery.min.js
	ln -s /usr/share/javascript/jquery/jquery.min.js \
	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/jquery.min.js

	# Use fonts-font-awesome from Debian instead of embedded copy
	$(RM) -r $(DESTDIR)/usr/share/coz-profiler/viewer/lib/font-awesome
	ln -s /usr/share/fonts-font-awesome \
	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/font-awesome

	# Remove redundant license file
	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/science/LICENSE.txt

override_dh_auto_test:
	$(MAKE) check

override_dh_auto_build:
	dh_auto_build -- CC=cc CXX=c++ GIT=true

=== debian/tests/control ===
Depends: @
Tests: test-coz-run-ls

## coz-profiler 0.0.git.20161130T1802

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ROOT := .
-DIRS := libcoz
+DIRS := libcoz viewer
 
 include $(ROOT)/common.mk

=== libcoz/Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
 ROOT 		 := ..
 TARGETS  := libcoz.so
 LIBS     := dl rt pthread
-CXXFLAGS := --std=c++11 -g -O2 -fPIC -I$(ROOT)/include
-#LDFLAGS  := -L$(ROOT)/deps/libelfin/elf -L$(ROOT)/deps/libelfin/dwarf -Wl,--whole-archive -lelf++ -ldwarf++ -Wl,--no-whole-archive
-PREREQS  := $(ROOT)/deps/ccutil $(ROOT)/deps/libelfin
+CXXFLAGS := --std=c++0x -g -O2 -fPIC -I$(ROOT)/include -I.
+PREREQS  := $(ROOT)/deps/libelfin
 
 include $(ROOT)/common.mk

=== benchmarks/linear_regression/Makefile ===
ROOT    := ../..
TARGETS := linear_regression
LIBS    := pthread dl
CFLAGS  := -g -O2

ifeq ($(USE_SYSTEM_COZ),)
CFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

BENCH_ARGS := linear_regression_datafiles/key_file_500MB.txt
TEST_ARGS  := linear_regression_datafiles/key_file_50MB.txt

bench_inputs: linear_regression_datafiles/key_file_500MB.txt

test_inputs: linear_regression_datafiles/key_file_50MB.txt

linear_regression_datafiles/%:
	@echo $(LOG_PREFIX) Downloading linear_regression inputs $(LOG_SUFFIX)
	@wget -c http://csl.stanford.edu/~christos/data/linear_regression.tar.gz
	@echo $(LOG_PREFIX) Unpacking linear_regression inputs $(LOG_SUFFIX)
	@tar xzf linear_regression.tar.gz
	@rm linear_regression.tar.gz

=== benchmarks/toy/Makefile ===
ROOT     := ../..
TARGETS  := toy
LIBS     := dl pthread
CXXFLAGS := --std=c++11 -g -O2

ifeq ($(USE_SYSTEM_COZ),)
CFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

=== debian/changelog ===
coz-profiler (0.0.git.20161130T1802-2) unstable; urgency=medium

  [ Lluís Vilanova ]
  * Reverted 36c9b5e to remove useless 04-make-check patch
  * Added 06-viewer-install.patch to align viewer makefile with
    common.mk (fixes #846538).
  * Added 07-coz-plot.patch to hint users how to use the viewer

  [ Petter Reinholdtsen ]
  * Adjusted 07-coz-plot.patch to suggest opening HTML page using xdg-open.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 03 Dec 2016 08:58:39 +0000

coz-profiler (0.0.git.20161130T1802-1) unstable; urgency=medium

  [ Lluís Vilanova ]
  * Fetched new upstream release from upstream git.
  * Adjusted 01-system-libelfin.patch, part of it is now upstream.
  * Removed 02-portable-spinlock.patch now included upstream.
  * Added 02-common-pwd.patch to fix use of PWD in common.mk.
  * Added 03-viewer-build.patch to drop apparenly redundant npm call
    during build.
  * Added 04-make-check.patch to make sure test binary have debug
    information.

  [ Petter Reinholdtsen ]
  * Added 05-revert-in-scope-error.patch to revert upstream commit
    breaking self test.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Nov 2016 21:15:35 +0000

coz-profiler (0.0.git.20161011T1320-3) unstable; urgency=medium

  * Change architecture from any to linux-any, as the code depend on
    internal Linux perf syscalls (Closes: #844024).
  * Added 02-portable-spinlock.patch from upstream to make spinlock
    implementation portable (Closes: #844017).
  * Adjusted autopkgtest setup to allow stderr output.
  * Added new autopkgtest script test-coz-run-simple for testing a
    multithreaded program with debug info.
  * Build-depend on libelfin-dev (>= 0.2) to ensure we link using the
    new SONAME.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Nov 2016 08:22:09 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  , clang
  , python
  , pkg-config
- , libelfin-dev
+ , libelfin-dev (>= 0.2)
  , fonts-font-awesome
  , libjs-jquery
  , python-docutils
@@ -18,7 +18,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-coz/coz-profiler.git
 
 Package: coz-profiler
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
  , python
  , fonts-font-awesome

## coz-profiler 0.1.0

=== benchmarks/Makefile ===
ROOT := ..
DIRS := histogram kmeans linear_regression matrix_multiply \
        pbzip2 pca producer_consumer string_match toy word_count

include $(ROOT)/common.mk

=== libcoz/Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 check:: libcoz.so
 	printf "int main(int argc, char *argv[])\n{\nreturn (0);\n}\n" > x.c
-	gcc -Wl,-rpath,`pwd` -o x x.c libcoz.so -ldl || ( $(RM) x x.c ; exit 1)
-	./x
+	gcc -g -o x x.c || ( $(RM) x x.c ; exit 1)
+	../coz run --- ./x
 	if grep -q time= profile.coz; then echo success: coz profiler ran as it should.; fi
 	$(RM) -f x.c x profile.coz

=== viewer/Makefile ===
ROOT = ..

all:
	npm install

clean:

=== benchmarks/histogram/Makefile ===
ROOT    := ../..
TARGETS := histogram
LIBS    := pthread dl
CFLAGS  := -g -O2

ifeq ($(USE_SYSTEM_COZ),)
CFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

BENCH_ARGS := histogram_datafiles/large.bmp
TEST_ARGS  := histogram_datafiles/small.bmp

bench_inputs: histogram_datafiles/large.bmp

test_inputs: histogram_datafiles/small.bmp

histogram_datafiles/%:
	@echo $(LOG_PREFIX) Downloading histogram inputs $(LOG_SUFFIX)
	@wget -c http://csl.stanford.edu/~christos/data/histogram.tar.gz
	@echo $(LOG_PREFIX) Unpacking histogram inputs $(LOG_SUFFIX)
	@tar xzf histogram.tar.gz
	@rm histogram.tar.gz

=== benchmarks/kmeans/Makefile ===
ROOT    := ../..
TARGETS := kmeans
LIBS    := pthread dl
CFLAGS  := -g -O2

ifeq ($(USE_SYSTEM_COZ),)
CFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

BENCH_ARGS := -d 3 -c 100 -p 100000 -s 1000
TEST_ARGS  := -d 3 -c 100 -p 10000 -s 100

=== benchmarks/matrix_multiply/Makefile ===
ROOT    := ../..
TARGETS := matrix_multiply
LIBS    := pthread dl
CFLAGS  := -g -O2 -Wno-format

ifeq ($(USE_SYSTEM_COZ),)
CFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

BENCH_ARGS := 1000 > /dev/null
TEST_ARGS  := 400 > /dev/null

bench_inputs: .input_bench

test_inputs: .input_test

.input_bench:
	@echo $(LOG_PREFIX) Generating bench input $(LOG_SUFFIX)
	@./matrix_multiply 1000 1000 > /dev/null
	@rm -f .input_test
	@touch .input_bench

.input_test:
	@echo $(LOG_PREFIX) Generating test input $(LOG_SUFFIX)
	@./matrix_multiply 400 400 > /dev/null
	@rm -f .input_bench
	@touch .input_test

=== benchmarks/pbzip2/Makefile ===
ROOT     := ../..
TARGETS  := pbzip2
LIBS     := bz2 pthread dl
CXXFLAGS := -g -O2 -Wno-format -Ibzip2-1.0.6
LDFLAGS  := -Lbzip2-1.0.6

ifeq ($(USE_SYSTEM_COZ),)
CXXFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

# pbzip2 depends on the libbz2 library
pbzip2: bzip2-1.0.6/libbz2.a

# Download and build libbz2
bzip2-1.0.6/libbz2.a:
	@echo $(LOG_PREFIX) Downloading libbz2 $(LOG_SUFFIX)
	@wget -c http://bzip.org/1.0.6/bzip2-1.0.6.tar.gz
	@echo $(LOG_PREFIX) Unpacking libbz2 $(LOG_SUFFIX)
	@tar xzf bzip2-1.0.6.tar.gz
	@echo $(LOG_PREFIX) Building libbz2 $(LOG_SUFFIX)
	@cd bzip2-1.0.6; $(MAKE) CFLAGS=-g > /dev/null
	@rm bzip2-1.0.6.tar.gz

BENCH_ARGS := -c < data/key_file_500MB.txt > data/key_file_500MB_compressed.bz2
TEST_ARGS  := -c < data/key_file_50MB.txt > data/key_file_50MB_compressed.bz2

bench_inputs: data/key_file_500MB.txt

test_inputs: data/key_file_50MB.txt

data/%:
	@echo $(LOG_PREFIX) Downloading pbzip2 inputs $(LOG_SUFFIX)
	@wget -c http://csl.stanford.edu/~christos/data/linear_regression.tar.gz
	@echo $(LOG_PREFIX) Unpacking pbzip2 inputs $(LOG_SUFFIX)
	@tar xzf linear_regression.tar.gz
	@rm linear_regression.tar.gz
	@mv linear_regression_datafiles data

=== benchmarks/pca/Makefile ===
ROOT    := ../..
TARGETS := pca
LIBS    := pthread dl
CFLAGS  := -g -O2

ifeq ($(USE_SYSTEM_COZ),)
CFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

BENCH_ARGS := > /dev/null
TEST_ARGS  := > /dev/null

=== benchmarks/producer_consumer/Makefile ===
ROOT     := ../..
TARGETS  := producer_consumer
LIBS     := dl pthread
CXXFLAGS := -g -O2

ifeq ($(USE_SYSTEM_COZ),)
CXXFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

=== benchmarks/string_match/Makefile ===
ROOT    := ../..
TARGETS := string_match
LIBS    := pthread dl
CFLAGS  := -g -O2

ifeq ($(USE_SYSTEM_COZ),)
CFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

BENCH_ARGS := string_match_datafiles/key_file_500MB.txt > /dev/null
TEST_ARGS  := string_match_datafiles/key_file_50MB.txt > /dev/null

bench_inputs: string_match_datafiles/key_file_500MB.txt

test_inputs: string_match_datafiles/key_file_50MB.txt

string_match_datafiles/%:
	@echo $(LOG_PREFIX) Downloading string_match inputs $(LOG_SUFFIX)
	@wget -c http://csl.stanford.edu/~christos/data/reverse_index.tar.gz
	@echo $(LOG_PREFIX) Unpacking string_match inputs $(LOG_SUFFIX)
	@tar xzf string_match.tar.gz
	@rm string_match.tar.gz

=== benchmarks/word_count/Makefile ===
ROOT    := ../..
TARGETS := word_count
LIBS    := pthread dl
CFLAGS  := -g -O2

ifeq ($(USE_SYSTEM_COZ),)
CFLAGS += -I$(ROOT)/include
endif

BENCHMARK := 1

include $(ROOT)/common.mk

BENCH_ARGS := word_count_datafiles/word_100MB.txt
TEST_ARGS  := word_count_datafiles/word_10MB.txt

bench_inputs: word_count_datafiles/word_100MB.txt

test_inputs: word_count_datafiles/word_10MB.txt

word_count_datafiles/%:
	@echo $(LOG_PREFIX) Downloading word_count inputs $(LOG_SUFFIX)
	@wget -c http://csl.stanford.edu/~christos/data/word_count.tar.gz
	@echo $(LOG_PREFIX) Unpacking word_count inputs $(LOG_SUFFIX)
	@tar xzf word_count.tar.gz
	@rm word_count.tar.gz

=== debian/changelog ===
coz-profiler (0.1.0-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Fix FTBFS when linked with -Wl,--as-needed

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 01 Feb 2017 19:32:45 +0200

coz-profiler (0.1.0-1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Started on upstream/metadata file.

  [ Lluís Vilanova ]
  * Add watch file for upstream releases
  * Change the package section into 'devel' (Closes: #848397).

  [ Petter Reinholdtsen ]
  * Changed d/rules to only run test suite when kernel
    perf_event_paranoid value is 2 or less.  (Closes: #844633)
  * Changed to use libjs-d3 and libjs-d3-tip from Debian instead of
    embedded copies.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 20 Dec 2016 21:45:34 +0000

coz-profiler (0.0.git.20161130T1802-2ubuntu1) zesty; urgency=medium

  * Fix FTBFS when linked with -Wl,--as-needed

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Dec 2016 21:14:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: coz-profiler
-Section: net
+Section: devel
 Priority: optional
-Maintainer: Lluís Vilanova <vilanova@ac.upc.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lluís Vilanova <vilanova@ac.upc.edu>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 9~)
  , clang
@@ -10,6 +11,8 @@
  , libelfin-dev (>= 0.2)
  , fonts-font-awesome
  , libjs-jquery
+ , libjs-d3
+ , libjs-d3-tip
  , python-docutils
 Testsuite: autopkgtest
 Standards-Version: 3.9.8
@@ -23,6 +26,8 @@
  , python
  , fonts-font-awesome
  , libjs-jquery
+ , libjs-d3
+ , libjs-d3-tip
 Description: Finding Code that Counts with Causal Profiling
  Coz is a code profiler that find optimization opportunities
  missed by traditional profilers. Coz employs a technique called

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,18 @@
 override_dh_install:
 	dh_install
 
-	# Use jquery from Debian instead of embedded copy
+	# Use jquery, d3 and d3-tip from Debian instead of embedded copy
 	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/jquery.min.js
 	ln -s /usr/share/javascript/jquery/jquery.min.js \
 	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/jquery.min.js
+
+	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/d3/d3.min.js
+	ln -s /usr/share/javascript/d3/d3.min.js \
+	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/d3/d3.min.js
+
+	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/d3/d3-tip.min.js
+	ln -s /usr/share/javascript/d3-tip/d3-tip.min.js \
+	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/d3/d3-tip.min.js
 
 	# Use fonts-font-awesome from Debian instead of embedded copy
 	$(RM) -r $(DESTDIR)/usr/share/coz-profiler/viewer/lib/font-awesome
@@ -32,7 +40,15 @@
 	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/science/LICENSE.txt
 
 override_dh_auto_test:
-	$(MAKE) check
+	if [ "$$(cat /proc/sys/kernel/perf_event_paranoid)" -le 2 ] ; then \
+	  $(MAKE) check; \
+	else \
+	  echo ; \
+	  echo "***********************************************************"; \
+	  echo "error: not running test suite, /proc/sys/kernel/perf_event_paranoid value too high"; \
+	  echo "***********************************************************"; \
+	  echo ; \
+	fi
 
 override_dh_auto_build:
 	dh_auto_build -- CC=cc CXX=c++ GIT=true

## coz-profiler 0.2.2

=== Makefile ===
ROOT := .
DIRS := libcoz viewer

include $(ROOT)/common.mk

update-gh-pages:: all
	@echo $(LOG_PREFIX) Pushing profiler viewer to gh-pages branch $(LOG_SUFFIX)
	@git push origin `git subtree split --prefix viewer master 2> /dev/null`:gh-pages

install:: all
	@echo $(LOG_PREFIX) Installing coz to prefix $(prefix) $(LOG_SUFFIX)
	@sed 's@destdir@"${DESTDIR}${prefix}"@g' coz-profilerConfig.cmake.in > coz-profilerConfig.cmake
	@$(INSTALL) -D coz $(DESTDIR)$(bindir)/coz
	@$(INSTALL) -D coz-profilerConfig.cmake $(DESTDIR)$(pkglibdir)/coz-profilerConfig.cmake
	@$(INSTALL) -D libcoz/libcoz.so $(DESTDIR)$(pkglibdir)/libcoz.so
	@$(INSTALL) -D include/coz.h $(DESTDIR)$(incdir)/coz.h
	@mkdir -p $(DESTDIR)$(man1dir)
	@$(RST2MAN) docs/coz.rst $(DESTDIR)$(man1dir)/coz.1

bench bench_small bench_large::
	@$(MAKE) -C benchmarks $@

=== benchmarks/Makefile ===
ROOT := ..
DIRS := histogram kmeans linear_regression matrix_multiply \
        pbzip2 pca producer_consumer string_match sqlite \
				sqlite-modified toy word_count

include $(ROOT)/common.mk

=== libcoz/Makefile ===
ROOT 		 := ..
TARGETS  := libcoz.so
LIBS     := -ldl -lrt -lpthread $(shell pkg-config --libs libelf++ libdwarf++)
CXXFLAGS := --std=c++0x -g -O2 -fPIC -I$(ROOT)/include -I. \
            $(shell pkg-config --cflags libelf++ libdwarf++)

include $(ROOT)/common.mk

check:: libcoz.so
	printf "int main(int argc, char *argv[])\n{\nreturn (0);\n}\n" > x.c
	gcc -g -o x x.c || ( $(RM) x x.c ; exit 1)
	../coz run --- ./x
	if grep -q time= profile.coz; then echo success: coz profiler ran as it should.; fi
	$(RM) -f x.c x profile.coz

=== viewer/Makefile ===
ROOT   := ..

include $(ROOT)/common.mk

all:: js/ui.js

js/ui.js: $(wildcard ts/*.ts) tsconfig.json
	@echo $(LOG_PREFIX) Building profile viewer $(LOG_SUFFIX)
	@npm install > /dev/null

=== benchmarks/histogram/Makefile ===
ROOT    := ../..
TARGETS := histogram
LIBS    := -lpthread
CFLAGS  := -g -O2

include $(ROOT)/benchmark.mk

BENCH_LARGE_ARGS := histogram_datafiles/large.bmp
BENCH_SMALL_ARGS  := histogram_datafiles/small.bmp

large_inputs: histogram_datafiles/large.bmp

small_inputs: histogram_datafiles/small.bmp

histogram_datafiles/%:
	@echo $(LOG_PREFIX) Downloading histogram inputs $(LOG_SUFFIX)
	@wget -c http://csl.stanford.edu/~christos/data/histogram.tar.gz
	@echo $(LOG_PREFIX) Unpacking histogram inputs $(LOG_SUFFIX)
	@tar xzf histogram.tar.gz
	@rm histogram.tar.gz

=== benchmarks/kmeans/Makefile ===
ROOT    := ../..
TARGETS := kmeans
LIBS    := -lpthread
CFLAGS  := -g -O2

include $(ROOT)/benchmark.mk

BENCH_LARGE_ARGS := -d 3 -c 100 -p 100000 -s 1000
BENCH_SMALL_ARGS := -d 3 -c 100 -p 10000 -s 100

=== benchmarks/linear_regression/Makefile ===
ROOT    := ../..
TARGETS := linear_regression
LIBS    := -lpthread
CFLAGS  := -g -O2

include $(ROOT)/benchmark.mk

BENCH_LARGE_ARGS := linear_regression_datafiles/key_file_500MB.txt
BENCH_SMALL_ARGS := linear_regression_datafiles/key_file_50MB.txt

large_inputs: linear_regression_datafiles/key_file_500MB.txt

small_inputs: linear_regression_datafiles/key_file_50MB.txt

linear_regression_datafiles/%:
	@echo $(LOG_PREFIX) Downloading linear_regression inputs $(LOG_SUFFIX)
	@wget -c http://csl.stanford.edu/~christos/data/linear_regression.tar.gz
	@echo $(LOG_PREFIX) Unpacking linear_regression inputs $(LOG_SUFFIX)
	@tar xzf linear_regression.tar.gz
	@rm linear_regression.tar.gz

=== benchmarks/matrix_multiply/Makefile ===
ROOT    := ../..
TARGETS := matrix_multiply
LIBS    := -lpthread
CFLAGS  := -g -O2 -Wno-format

include $(ROOT)/benchmark.mk

BENCH_LARGE_ARGS := 1000 > /dev/null
BENCH_SMALL_ARGS := 400 > /dev/null

large_inputs: .input_large

small_inputs: .input_small

.input_large: matrix_multiply
	@echo $(LOG_PREFIX) Generating bench input $(LOG_SUFFIX)
	@./matrix_multiply 1000 1000 > /dev/null
	@rm -f .input_small
	@touch .input_large

.input_small: matrix_multiply
	@echo $(LOG_PREFIX) Generating test input $(LOG_SUFFIX)
	@./matrix_multiply 400 400 > /dev/null
	@rm -f .input_large
	@touch .input_small

=== benchmarks/pbzip2/Makefile ===
ROOT     := ../..
TARGETS  := pbzip2
LIBS     := -lbz2 -lpthread
CXXFLAGS := -g -O2 -Wno-format -Ibzip2-1.0.6
LDFLAGS  := -Lbzip2-1.0.6

include $(ROOT)/benchmark.mk

# pbzip2 depends on the libbz2 library
pbzip2: bzip2-1.0.6/libbz2.a

# Download and build libbz2
bzip2-1.0.6/libbz2.a:
	@echo $(LOG_PREFIX) Downloading libbz2 $(LOG_SUFFIX)
	@wget -c https://sourceware.org/pub/bzip2/bzip2-1.0.6.tar.gz
	@echo $(LOG_PREFIX) Unpacking libbz2 $(LOG_SUFFIX)
	@tar xzf bzip2-1.0.6.tar.gz
	@echo $(LOG_PREFIX) Building libbz2 $(LOG_SUFFIX)
	@cd bzip2-1.0.6; $(MAKE) CFLAGS=-g > /dev/null
	@rm bzip2-1.0.6.tar.gz

BENCH_LARGE_ARGS := -c < data/key_file_500MB.txt > data/key_file_500MB_compressed.bz2
BENCH_SMALL_ARGS := -c < data/key_file_50MB.txt > data/key_file_50MB_compressed.bz2

large_inputs: data/key_file_500MB.txt

small_inputs: data/key_file_50MB.txt

data/%:
	@echo $(LOG_PREFIX) Downloading pbzip2 inputs $(LOG_SUFFIX)
	@wget -c http://csl.stanford.edu/~christos/data/linear_regression.tar.gz
	@echo $(LOG_PREFIX) Unpacking pbzip2 inputs $(LOG_SUFFIX)
	@tar xzf linear_regression.tar.gz
	@rm linear_regression.tar.gz
	@mv linear_regression_datafiles data

=== benchmarks/pca/Makefile ===
ROOT    := ../..
TARGETS := pca
LIBS    := -lpthread
CFLAGS  := -g -O2

include $(ROOT)/benchmark.mk

BENCH_LARGE_ARGS := > /dev/null
BENCH_SMALL_ARGS := > /dev/null

=== benchmarks/producer_consumer/Makefile ===
ROOT     := ../..
TARGETS  := producer_consumer
LIBS     := -lpthread
CXXFLAGS := -g -O2

include $(ROOT)/benchmark.mk

=== benchmarks/sqlite-modified/Makefile ===
ROOT    := ../..
TARGETS := sqlite-bench
LIBS    := -lpthread -ldl
CFLAGS  := -g -O2 -DSQLITE_THREADSAFE=2 -I.

include $(ROOT)/benchmark.mk

=== debian/changelog ===
coz-profiler (0.2.2-3) unstable; urgency=medium

  * QA upload.

  * Drop MIA maintainer Lluís Vilanova and orphan package.  Many
    thanks for all his good work.
  * Replaced obsolete build dependency pkg-config with pkgconf.
  * Update watch file format version to 4.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.7.0, no changes needed.
  * Added override_dh_clean build rule to make build rebuildable
    (Closes: #1044911).
  * Moved git repository to salsa Debian group.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 09 May 2024 11:08:30 +0200

coz-profiler (0.2.2-2) unstable; urgency=medium

  [ Lluis Vilanova ]
  * Adjusted autopkgtest checks to not fail when the kernel perf access
    block them from running.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Sep 2020 11:17:25 +0200

coz-profiler (0.2.2-1) unstable; urgency=medium

  [ Lluis Vilanova ]
  * New upstream version.
  * Depend only on Python3 packages (Closes: #936336).
  * Adapt patches to new upstream version
  * Update debhelper compatibility.
  * Remove testsuite in debian/control.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 Sep 2020 18:53:33 +0200

coz-profiler (0.1.0-2) unstable; urgency=medium

  * Quiet down build rules a bit.
  * Adjust build to avoid underlinking when linker uses --as-needed
    (Closes: #854031).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 01 Jul 2017 22:32:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: coz-profiler
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lluís Vilanova <vilanova@ac.upc.edu>
-Uploaders: Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper (>= 9~)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13)
  , clang
- , python
- , pkg-config
+ , python3
+ , pkgconf
  , libelfin-dev (>= 0.2)
  , fonts-font-awesome
  , libjs-jquery
  , libjs-d3
  , libjs-d3-tip
- , python-docutils
-Testsuite: autopkgtest
-Standards-Version: 3.9.8
+ , python3-docutils
+Standards-Version: 4.7.0
 Homepage: http://coz-profiler.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-coz/coz-profiler.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-coz/coz-profiler.git
+Vcs-Browser: https://salsa.debian.org/debian/coz-profiler
+Vcs-Git: https://salsa.debian.org/debian/coz-profiler.git
 
 Package: coz-profiler
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
- , python
+ , python3
  , fonts-font-awesome
  , libjs-jquery
  , libjs-d3

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/science/LICENSE.txt
 
 override_dh_auto_test:
-	if [ "$$(cat /proc/sys/kernel/perf_event_paranoid)" -le 2 ] ; then \
+	@if [ "$$(cat /proc/sys/kernel/perf_event_paranoid)" -le 2 ] ; then \
 	  $(MAKE) check; \
 	else \
 	  echo ; \
@@ -52,3 +52,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- CC=cc CXX=c++ GIT=true
+
+override_dh_clean:
+	dh_clean
+	$(RM) coz-profilerConfig.cmake

=== debian/watch ===
version=4
https://github.com/plasma-umass/coz/releases /plasma-umass/coz/archive/(.+).tar.gz
